Biblio::RFID::Reader::Serial(3pm)

NAME
Biblio::RFID::Reader::Serial - base class for serial or serial over TCP RFID readers

METHODS

  new
Open serial port (if needed) and init reader

  port
Tries to open usb serial ports "/dev/ttyUSB*" and serial ports "/dev/ttyS*"

  my $serial_obj = $self->port;

To try just one device use "RFID_DEVICE=/dev/ttyUSB1" environment variable

If you want to define serial connection over TCP socket, you have to export enviroment variable "RFID_TCP=hostname:port".

SEE ALSO
Biblio::RFID::Reader::3M810

Biblio::RFID::Reader::CPRM01

Biblio::RFID::Reader::API